import processing.serial.*;
import nl.tue.id.creapro.admoveo.*;

AdMoVeo admoveo;
int bgcolor = 255;

void setup()
{
  admoveo = new AdMoVeo(this, "COM11"); 
  admoveo.getLeftDistanceSensor().enable();
}

void draw()
{
  background(0,0,bgcolor);
}

void inputAvailable(Sensor sensor, int oldValue, int newValue){
   if(sensor == admoveo.getLeftDistanceSensor()){
      bgcolor = newValue/4;
      admoveo.getBlueLed().setPower(bgcolor);
   }
}


