import nl.tue.id.creapro.admoveo.*;
import processing.serial.*;
import controlP5.*;

ControlP5 controlP5;
AdMoVeo admoveo;
Slider s;

int c = 0;
void setup() {
  size(400, 400);
  admoveo = new AdMoVeo(this, "COM11");
  admoveo.getLeftLightSensor().enable();
  controlP5 = new ControlP5(this);
  s = controlP5.addSlider("mygod", 0, 255, 0, 10, 10, 200, 15);
}

void draw() {
  fill(0, 0, c); rect(100,100,200,200);
}

void mygod(int value) {
   c = value;
}

void inputAvailable(Sensor sensor, int oldValue, int newValue){
  c = newValue/4;
  s.setValue(c);
}
